## couchdb 1.1.0

=== debian/changelog ===
couchdb (1.1.0-2) unstable; urgency=low

  [ Mike Hommey ]
  * debian/patches/mozjs.patch: Backported changes to allow to build against
    newer libmozjs (closes: #631031, #642218).

  [ Laszlo Boszormenyi (GCS) <gcs@debian.hu> ]
  * Restore missing changelog entries and fixes.
  * Drop init.patch , couchdb can be stopped again (closes: #601339).
  * Change to 3.0 (quilt) source format.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 06 Aug 2011 09:33:58 +0200

couchdb (1.1.0-1) unstable; urgency=low

  * New upstream release (closes: #590334).
  * Version jQuery dependency (closes: #582022, #614941).
  * Empty dependency_libs in *.la (closes: #621202).
  * Drop pid.patch , applied upstream and drop icu-config.patch not needed.
  * Fix postrm , remove_file_collection is missing.
  * Fix several lintian errors and warnings:
    - add patch to implement force-reload initscript option
    - use real erlang dependency, not just the virtual ABI one
    - remove embedded jquery.form.js , depend on its package
    - remove var/run/couchdb from the package, it'll be created on demand

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 14 Apr 2011 11:56:01 +0200

couchdb (0.11.0-2.3) unstable; urgency=high

  * Non-maintainer upload.
  * debian/rules: make sure /var/{lib,log}/couchdb have permission set to 750
    (related to #600051).

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 01 Nov 2010 20:08:08 +0100

couchdb (0.11.0-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Apply permission settings during package build (as opposed to during
    package installation) (Closes: #600051). Setting high urgency for RC bug.

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 30 Oct 2010 13:03:20 +0200

couchdb (0.11.0-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2010-2234: fix Cross-site request forgery vulnerability
    (Closes: #570013)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 26 Sep 2010 11:09:53 +0200

couchdb (0.11.0-2) unstable; urgency=low

  * Added patch from upstream which fixes compatibiluty with Erlang R14A
    (closes: #587768, #587386).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 05 Jul 2010 23:04:45 +0400

couchdb (0.11.0-1) unstable; urgency=medium (security fixes)

  * New upstream release, including security fix for CVE-2010-00009.
    (closes: #576304, #577417)
  * Removed debian/patches/icu-patch.patch, as it's no longer needed.

 -- Sam Bisbee <sbisbee@computervip.com>  Fri, 16 Apr 2010 18:04:47 +0400

couchdb (0.10.1-2) unstable; urgency=low

  [ Elliot Murphy ]
  * Updated debian/control, added Elliot to Uploaders
  * Dropped $ENABLE_SERVER portion of debian/patches/init.patch

  [ Sam Bisbee ]
  * Updated debian/patches/init.patch, adding a grace period to the init
    script's stop task to allow couchdb's child processes (ie., heart) a chance
    to exit before deciding whether the task was successful or not. This adds a
    dependency on procps (`ps` command).
  * Removed debian/preinst, undoing killall preinst patch from 0.10.0-1 that is
    no longer needed due to the grace period init patch in this release. This 
    also removes the dependency on psmisc. (closes: #562901) 
  * Updated debian/control, bumping Debian standards version to 3.8.4.
  * Updated debian/control, adding mawk as a dependency. The majority of
    systems will have it installed with the base system, but it's required and
    not essential. (closes: #569965)

 -- Sam Bisbee <sbisbee@computervip.com>  Tue, 09 Mar 2010 21:55:59 +0300

couchdb (0.10.1-1) unstable; urgency=low

  * New upstream release (closes: #550782). 
  * Cleaning up nmu related lintian warnings. 

 -- Sam Bisbee <sbisbee@computervip.com>  Wed, 23 Dec 2009 23:15:27 -0500

couchdb (0.10.0-1) unstable; urgency=low

  [ Elliot Murphy ]
  * Updated debian/copyright, added src/etap*
  * Updated debian/control, changed Maintainer to Erlang team address
  * Updated debian/control, changed Vcs- links to new locations.

  [ Sergei Golovan ]
  * New upstream release (closes: #551212, #554080, #554593).
  * Removed unnecessary build dependency on transitional erlang-nox package.
  * Replaced subst variables in dependencies by ${erlang:Depends} which allows
    to calculate dependencies automatically. This removes erlang-nox from
    dependencies (closes: #532756).
  * Bumped standards version to 3.8.3.
  * It's normal if /etc/init.d script is left after package removal as a
    config file (and the binary isn't available). Therefore made it return
    success in case if /usr/bin/couchdb doesn't exist or isn't an executable.
  * Change current directory to /var/run/couchdb in init script to prevent
    error messages about access violation by code server if the current dir
    isn't readable by the couchdb user.
  * Put log files directly into /var/log/couchdb directory. There's no reason
    to have different log subdirectories for different couchdb versions.

  [ Noah Slater ]
  * Updated debian/control, updated Build-Depends on debhelper to 7.2.11.

  [ Sam Bisbee ]
  * Updated debian/control, repointed Vcs links.
  * Fix "replacing libreadline5-dev build dependency with libreadline-
    dev" Updated debian/control, changed libreadline5-dev dependency to
    libreadline-dev. (Closes: #553742)
  * Updated debian/README.Debian, removed log directory partitioning info
    per Sergei's related changes to put all logs in one directory.
  * Updated debian/postrm, rmdir didn't like that its target directories
    weren't non-empty (despite passed args), causing errors and failing to
    remove directories. Also removed the version partitioning cases.
  * Created debian/preinst, now we make sure that couchdb isn't running any
    beam processes on upgrade. Upgrading from 0.9.0-2 was leaving old code in a
    running beam process, so you were running 0.9.0 couchdb but had 0.10.0 code
    installed until you killed the process. Adds a dependency on psmisc.


