## couchdb 1.1.1

=== debian/changelog ===
couchdb (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Drop mawk dependency, not needed anymore (closes: 647173).
  * Update Erlang dependency to match upstream recommendation
    (closes: #632975).
  * Enable experimental Mozilla SpiderMonkey JavaScript support, mozjs.patch
    doesn't needed anymore.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 27 Nov 2011 09:06:57 +0100
