=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cdbs (>= 0.4.42),
                debhelper (>= 7.2.11),
                erlang-crypto,
-               erlang-dev (>= 1:13.b.1-dfsg-3),
+               erlang-dev (>= 1:13.b.2.1),
                erlang-eunit,
                erlang-inets,
                erlang-xmerl,
@@ -24,7 +24,6 @@
          libjs-jquery (>= 1.4.2),
          libjs-jquery-form (>= 2.36),
          lsb-base,
-	 mawk,
          procps,
          ${erlang-crypto:Depends},
          ${erlang-inets:Depends},
