=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
+DEB_CONFIGURE_EXTRA_FLAGS = --enable-js-trunk
 DEB_INSTALL_DOCS_ALL =
 DEB_DH_INSTALLINIT_ARGS = --onlyscripts
