## couchdb 1.2.0

=== debian/changelog ===
couchdb (1.2.0-5ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules, debian/control: Split couchdb and couchdb-bin.
    - debian/postinst: Rename to couchdb-bin.postinst.
    - debian/couchdb-bin.postrm: Don't try to delete couchdb system
      user/group.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 21 Jan 2013 17:26:25 -0500

couchdb (1.2.0-5) unstable; urgency=high

  * Fix debian/patches/series for CVE-2012-5649 and CVE-2012-5650 fixes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 18 Jan 2013 22:04:32 +0100

couchdb (1.2.0-4) unstable; urgency=high

  * Fix CVE-2012-5649 and CVE-2012-5650 with adding upstream fixes as patches:
    improve_parsing_of_mochiweb_relative_paths.patch ,
    improve_script_url_validation.patch and
    include_a_comment_before_jsonp_output.patch (closes: #698439).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 18 Jan 2013 20:04:01 +0100

couchdb (1.2.0-3ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules, debian/control: Split couchdb and couchdb-bin.
    - debian/postinst: Rename to couchdb-bin.postinst.
    - debian/couchdb-bin.postrm: Don't try to delete couchdb system
      user/group.

 -- Logan Rosen <logatronico@gmail.com>  Tue, 25 Dec 2012 03:35:04 -0500

couchdb (1.2.0-3) unstable; urgency=low

  * Rework couchdb own run directory (updates: #681549).
  * Use SIGTERM instead of SIGHUP for graceful shutdown (closes: #692295).
  * Wait until complete stop of service.
  * Use couchdb user for logrotate (closes: #652172).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 18 Nov 2012 12:24:24 +0100

couchdb (1.2.0-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1022515, LP: #817656):
    - fixes ownership of /etc/couchdb.  LP: #731272.
  * Remaining changes:
    - Use pkg-config instead of the js-config script shipped by libmozjs
    - debian/rules, debian/control: split couchdb and couchdb-bin
    - debian/postinst: renamed to couchdb-bin.postinst
    - debian/couchdb-bin.postrm: don't try to delete couchdb system
      user/group
  * Dropped changes, superseded upstream:
    - Backport svn r1039345 from 1.0.3
    - debian/patches/couchio-*: patchset from CouchIO to fix U1 replication
      over SSL.  It's not clear if these were upstreamed, but most of the
      source files they applied to no longer exist at all upstream, so if
      these are still needed they will need to be redone.
    - debian/patches/fix-help2man.patch: dropped, no longer needed
    - debian/patches/jquery15-fix.patch: Make Futon work with jQuery 1.5
    - debian/patches/moz*.patch: Spidermonkey 1.8.54 patchset
  * Dropped changes, included in Debian:
    - debian/control - bump standards version
    - debian/control - fix lintian error not-binnmuable-all-depends-any
    - Build against a proper libmozjs
    - Update build-depends/depends/build config (we no longer need the
      --with-js build flags)
  * Dropped changes, superseded in Debian:
    - source/format - mark package as 1.0 format
    - change the default permissions on /etc/couchdb to 0775 and files to
      0664

  [ Jason Gerard DeRose ]
  * /etc/couchdb/default.ini and /etc/couchdb/default.d are delivered in the
    `couchdb-bin` package and are owned by root
  * /etc/couchdb/local.ini and /etc/couchdb/local.d are delivered in the
  * The `couchdb-bin` package does not create nor require the "couchdb" user
    (this is now done in the `couchdb` package instead).  LP: #1007125.
  * Added a short sleep delay in couchdb.postrm so couchdb is more likely to
    have actually terminated by the time we `deluser couchdb`, which is needed
    for `sudo apt-get purge couchdb` to work when couchdb is running

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Jul 2012 02:04:48 +0000

couchdb (1.2.0-2) unstable; urgency=low

  * Make couchdb user own its run directory (closes: #681549).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 19 Jul 2012 20:13:25 +0200

couchdb (1.2.0-1) unstable; urgency=low

  * New major upstream release (closes: #672141).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 10 Apr 2012 21:14:05 +0200

couchdb (1.1.1-2) unstable; urgency=low

  * Declare correct libmozjs-dev build dependency to make views working again,
    thanks to Joan Touzet <joant@atypical.net> for clarification
    (closes: #644545).
  * Update Standards-Version to 3.9.3 , update debian/copyright to match it.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 20 Mar 2012 06:41:16 +0100

couchdb (1.0.1-0ubuntu18) precise; urgency=low

  * Rebuild for libicu48.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 16:06:03 +0000

couchdb (1.0.1-0ubuntu17) oneiric; urgency=high

  * Backport svn r1039345 from 1.0.3 (LP: #780972)

 -- John S Gruber <johnsgruber@gmail.com>  Fri, 02 Sep 2011 01:02:01 -0400

couchdb (1.0.1-0ubuntu16) oneiric; urgency=low

  * Update Spidermonkey 1.8.5 patchset to the more palatable ones I'm
    forwarding upstream
    - update debian/patches/moz0001-spidermonkey1.8.5.patch
    - update debian/patches/moz0002-libmozjs.patch
    - update debian/patches/moz0003-spidermonkey1.8.5_autotools.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 14 Jun 2011 17:47:09 +0100

couchdb (1.0.1-0ubuntu15) natty; urgency=low

  * Rebuild against latest libmozjs, since we turned on --enable-threadsafe
  * Also switch to using pkg-config rather than using the js-config script
    shipped by libmozjs. The latter is totally broken since turning on
    --enable-ctypes
    - update debian/patches/moz0002-libmozjs.patch
    - update debian/patches/moz0003-spidermonkey1.8.5_autotools.patch
    - Fixes (LP: #758895)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 15 Apr 2011 13:21:56 +0100

couchdb (1.0.1-0ubuntu14) natty; urgency=low

  * Build against a proper libmozjs \o/
    - FFe LP: #740815

