=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: couchdb
 Section: misc
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Standards-Version: 3.9.3
 Build-Depends: cdbs (>= 0.4.42),
                debhelper (>= 7.2.11),
                erlang-crypto,
@@ -13,14 +14,13 @@
                help2man,
                libcurl4-openssl-dev,
                libicu-dev,
-               libmozjs-dev,
+               libmozjs185-dev,
                libreadline-dev
 Homepage: http://couchdb.apache.org/
 
-Package: couchdb
+Package: couchdb-bin
 Architecture: any
-Depends: adduser,
-         erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
+Depends: erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
          libjs-jquery (>= 1.4.2),
          libjs-jquery-form (>= 2.36),
          lsb-base,
@@ -31,6 +31,7 @@
          ${erlang:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Suggests: couchdb
 Description: RESTful document oriented database
  Apache CouchDB is a distributed, fault-tolerant and schema-free
  document-oriented database accessible via a RESTful HTTP/JSON API. Among other
@@ -43,3 +44,23 @@
  that provides means to make HTTP requests. There are a multitude of third-party
  client libraries that make this even easier for a variety of programming
  languages and environments.
+
+Package: couchdb
+Architecture: all
+Depends: couchdb-bin (>= ${binary:Version}), ${misc:Depends}, adduser
+Replaces: couchdb-bin (<= 1.0.1-0ubuntu18)
+Description: RESTful document oriented database (system-wide instance)
+ Apache CouchDB is a distributed, fault-tolerant and schema-free
+ document-oriented database accessible via a RESTful HTTP/JSON API. Among other
+ features, it provides robust, incremental replication with bi-directional
+ conflict detection and resolution, and is queryable and indexable using a
+ table-oriented view engine with JavaScript acting as the default view
+ definition language.
+ .
+ CouchDB is written in Erlang, but can be easily accessed from any environment
+ that provides means to make HTTP requests. There are a multitude of third-party
+ client libraries that make this even easier for a variety of programming
+ languages and environments.
+ .
+ This package adds the /etc/init.d/couchdb script and other items needed for a
+ system-wide CouchDB instance that is started at boot.
