## couchdb 1.4.0

=== debian/changelog ===
couchdb (1.4.0-3) unstable; urgency=low

  * Update erlang run-time dependencies (closes: #721322).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 30 Aug 2013 19:16:01 +0200

couchdb (1.4.0-2) unstable; urgency=low

  * 'dir', topmost node of the Info hierarchy may not be generated on all
    architectures - don't fail its removal if it's not there.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 30 Aug 2013 01:03:38 +0200

couchdb (1.4.0-1) unstable; urgency=low

  * New upstream release (closes: #655674, #713748, #714263).
  * Remove possible bashism (closes: #701550).
  * Remove couchdb_sighup.patch as upstream switched to SIGTERM for stopping.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 28 Aug 2013 18:21:32 +0200
