=== debian/control ===
Source: couchdb
Section: misc
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Standards-Version: 3.9.4
Build-Depends: dpkg-dev (>= 1.16.1~),
               debhelper (>= 9),
               autoconf,
               erlang-crypto,
               erlang-dev (>= 1:13.b.2.1),
               erlang-eunit,
               erlang-inets,
               erlang-xmerl,
               libcurl4-openssl-dev,
               libicu-dev,
               libmozjs185-dev,
               libreadline-dev
Homepage: http://couchdb.apache.org/

Package: couchdb
Architecture: any
Depends: adduser,
         ${erlang-base:Depends} | ${erlang-abi:Depends},
         libjs-jquery (>= 1.4.2),
         libjs-jquery-form (>= 2.36),
         libjs-underscore (>= 0.5.5),
         lsb-base,
         procps,
         ${erlang:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: RESTful document oriented database
 Apache CouchDB is a distributed, fault-tolerant and schema-free
 document-oriented database accessible via a RESTful HTTP/JSON API. Among other
 features, it provides robust, incremental replication with bi-directional
 conflict detection and resolution, and is queryable and indexable using a
 table-oriented view engine with JavaScript acting as the default view
 definition language.
 .
 CouchDB is written in Erlang, but can be easily accessed from any environment
 that provides means to make HTTP requests. There are a multitude of third-party
 client libraries that make this even easier for a variety of programming
 languages and environments.
