=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/couchdb

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/configure
	rm -f $(CURDIR)/debian/couchdb.init

override_dh_auto_configure:
	autoconf
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	rmdir $(DESTDIR)/var/run/couchdb/
	rm $(DESTDIR)/usr/share/doc/couchdb/INSTALL.*
	rm $(DESTDIR)/usr/share/doc/couchdb/LICENSE.gz
	rm $(DESTDIR)/usr/share/couchdb/www/script/jquery.js
	rm $(DESTDIR)/usr/share/couchdb/www/docs/_static/jquery.js
	rm $(DESTDIR)/usr/share/couchdb/www/script/jquery.form.js
	rm $(DESTDIR)/usr/share/couchdb/www/docs/_static/underscore.js
	dh_link /usr/share/javascript/jquery/jquery.js \
		/usr/share/couchdb/www/script/jquery.js
	dh_link /usr/share/javascript/jquery/jquery.min.js \
		/usr/share/couchdb/www/docs/_static/jquery.js
	dh_link /usr/share/javascript/jquery-form/jquery.form.js \
		/usr/share/couchdb/www/script/jquery.form.js
	dh_link /usr/share/javascript/underscore/underscore.min.js \
		/usr/share/couchdb/www/docs/_static/underscore.js
	chmod a-x $(DESTDIR)/usr/share/couchdb/server/main.js \
		$(DESTDIR)/usr/share/couchdb/server/main-coffee.js
	sed -i "/dependency_libs/ s/'.*'/''/" `find $(DESTDIR) -name '*.la'`
	cp $(CURDIR)/etc/init/couchdb $(CURDIR)/debian/couchdb.init
	rm -f $(DESTDIR)/usr/share/info/dir
	erlang-depends

override_dh_auto_test:
	echo NO TESTING
#	dh_auto_test

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_test
