=== debian/watch ===
version=3
	http://couchdb.apache.org/ \
	(?:.*/|.*=|)apache-couchdb[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
