## couchdb 1.5.0

=== debian/changelog ===
couchdb (1.5.0-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1254371)
  * Don't include `couchdb` info page in `couchdb-bin` binary package as it
    provides no meaningful benefit over the `couchdb` man page (note this change
    means we don't need to add a Build-Depends on `install-info` for Trusty)
  * Remove Build-Depends: texlive-latex-base, texlive-latex-recommended,
    texlive-latex-extra, texlive-fonts-recommended, texinfo (as documentation
    thus produced doesn't get included in the binary packages anyway)
  * debian/rules: don't call ./configure with --enable-strictness as we dropped
    Build-Depends on `texlive-*`, `texinfo`, plus didn't add `install-info` 
  * Add Build-Depends: lsb-release (used for [vendor] info in default.ini)
  * debian/rules: insert proper [vendor] info in default.ini (note this should
    be improved once there is a better mechanism upstream)
  * debian/couchdb.upstart: start on filesystem and static-network-up,
    stop on deconfiguring-networking, plus add "author" line

 -- Jason Gerard DeRose <jason@system76.com>  Sun, 01 Dec 2013 16:55:05 -0700

couchdb (1.4.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1212481)
  * Switch from CDBS to pure debhelper (compat 9)
  * Bump Standards-Version to 3.9.4
  * Use an Upstart job instead of the upstream SysV init.d script
  * Remove Build-Depends: cdbs, libreadline-dev
  * Add Build-Depends: erlang-os-mon, erlang-syntax-tools, python-sphinx,
    texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
    texlive-fonts-recommended, texinfo
  * Remove couchdb-bin Depends: procps, lsb-base (needed for SysV init.d script)
  * Remove couchdb-bin Depends: libjs-jquery (1.7.2 is in Saucy, but the
    internal CouchDB jquery is now at version 1.8.3)
  * Simplify Erlang couchdb-bin Depends to just:
    ${erlang-abi:Depends}, ${erlang:Depends}
  * Add couchdb Depends: upstart
  * Remove deprecated couchdb-bin.postrm
  * Thanks to the Upstart job, couchdb.postrm no longer needs `sleep 3` hack,
    nor needs to `rm -r -f "/var/run/couchdb"`
  * Stop using versioned database_dir /var/lib/couchdb/VERSION as this isn't
    done upstream and CouchDB is no longer considered alpha software
  * Remove README.Debian, README.source as they're no longer applicable
  * Drop patches superseded upstream for CVE-2012-5649, CVE-2012-5650:
    - improve_parsing_of_mochiweb_relative_paths.patch
    - improve_script_url_validation.patch
    - include_a_comment_before_jsonp_output.patch
  * Because of the switch to Upstart, drop unneeded SysV init.d script patches:
    - force-reload.patch
    - couchdb_own_rundir.patch
    - wait_for_couchdb_stop.patch
  * Drop couchdb_sighup.patch, superseded upstream
  * Drop logrotate_as_couchdb.patch as it doesn't make sense for the CouchDB
    daemon to be able to modify its own archived log files
  * Move static data and docs in "/usr/share/couchdb" from `couchdb-bin` into
    new `couchdb-common` Architecture:all package
  * Add couchdb-bin Depends: couchdb-common (= ${source:Version})
  * debian/watch: point to current download location
  * debian/rules: replace `get-orig-source` with `get-packaged-orig-source`

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 28 Aug 2013 16:28:32 -0600
