=== debian/control ===
Source: couchdb
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9),
               erlang-dev (>= 1:14.b.4),
               erlang-crypto,
               erlang-eunit,
               erlang-inets,
               erlang-xmerl,
               erlang-os-mon,
               erlang-syntax-tools,
               help2man,
               libcurl4-openssl-dev,
               libicu-dev,
               libmozjs185-dev,
               python-sphinx (>= 1.1.3),
               lsb-release,
Homepage: http://couchdb.apache.org/

Package: couchdb-common
Architecture: all
Depends: ${misc:Depends}
Replaces: couchdb-bin (<= 1.2.0-5ubuntu1)
Conflicts: couchdb-bin (<= 1.2.0-5ubuntu1)
Description: RESTful document oriented database - common data
 Apache CouchDB is a distributed, fault-tolerant and schema-free
 document-oriented database accessible via a RESTful HTTP/JSON API. Among other
 features, it provides robust, incremental replication with bi-directional
 conflict detection and resolution, and is queryable and indexable using a
 table-oriented view engine with JavaScript acting as the default view
 definition language.
 .
 CouchDB is written in Erlang, but can be easily accessed from any environment
 that provides means to make HTTP requests. There are a multitude of third-party
 client libraries that make this even easier for a variety of programming
 languages and environments.

Package: couchdb-bin
Architecture: any
Depends: couchdb-common (= ${source:Version}),
         ${erlang-abi:Depends},
         ${erlang:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
Description: RESTful document oriented database
 Apache CouchDB is a distributed, fault-tolerant and schema-free
 document-oriented database accessible via a RESTful HTTP/JSON API. Among other
 features, it provides robust, incremental replication with bi-directional
 conflict detection and resolution, and is queryable and indexable using a
 table-oriented view engine with JavaScript acting as the default view
 definition language.
 .
 CouchDB is written in Erlang, but can be easily accessed from any environment
 that provides means to make HTTP requests. There are a multitude of third-party
 client libraries that make this even easier for a variety of programming
 languages and environments.

Package: couchdb
Architecture: all
Depends: couchdb-bin (>= ${source:Version}),
         adduser,
         upstart,
         ${misc:Depends},
Replaces: couchdb-bin (<= 1.0.1-0ubuntu18)
Description: RESTful document oriented database - system-wide instance
 Apache CouchDB is a distributed, fault-tolerant and schema-free
 document-oriented database accessible via a RESTful HTTP/JSON API. Among other
 features, it provides robust, incremental replication with bi-directional
 conflict detection and resolution, and is queryable and indexable using a
 table-oriented view engine with JavaScript acting as the default view
 definition language.
 .
 CouchDB is written in Erlang, but can be easily accessed from any environment
 that provides means to make HTTP requests. There are a multitude of third-party
 client libraries that make this even easier for a variety of programming
 languages and environments.
 .
 This package adds the Upstart job and other items needed for a system-wide
 CouchDB instance that is started at boot.
