=== debian/watch ===
version=3

http://www.apache.org/dist/couchdb/source/([\d\.]+)/apache-couchdb-([\d\.]+)\.tar\.gz
