## couchdb 1.6.0

=== debian/changelog ===
couchdb (1.6.0-0ubuntu7) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:39:30 +0100

couchdb (1.6.0-0ubuntu6) wily; urgency=medium

  * Add debian/couchdb.service to start system-wide CouchDB instance via
    systemd (LP: #1457464)
  * debian/rules: call dh --with systemd
  * debian/control: Add `dh-systemd` to Build-Depends
  * Add debian/patches/support-erlang-18.diff that patches configure.ac to
    enable building against Erlang 18

 -- Jason Gerard DeRose <jason@system76.com>  Fri, 10 Jul 2015 09:18:51 -0600

couchdb (1.6.0-0ubuntu5) vivid; urgency=medium

  * debian/rules: Reinstate init.d script, for insserv and systemd
    compatibility. Taken from Debian package.
  * Drop upstart dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Jan 2015 15:40:44 +0100

couchdb (1.6.0-0ubuntu4) utopic; urgency=medium

  * Build-depend on pkg-config.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Aug 2014 16:43:28 +0200

couchdb (1.6.0-0ubuntu3) utopic; urgency=medium

  * Fix pthread autoconf test.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Aug 2014 16:02:56 +0200

couchdb (1.6.0-0ubuntu2) utopic; urgency=medium

  * Build using dh-autoreconf. LP: #1359738.
  * Build-depend on autoconf-archive.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Aug 2014 15:28:04 +0200

couchdb (1.6.0-0ubuntu1) utopic; urgency=low

  * New upstream release (LP: #1212481)
  * debian/control: bump Standards-Version to 3.9.5

 -- Jason Gerard DeRose <jason@system76.com>  Sun, 20 Jul 2014 16:31:46 -0600
