=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9),
+               dh-systemd,
+               dh-autoreconf,
+               pkg-config,
+               autoconf-archive,
                erlang-dev (>= 1:14.b.4),
                erlang-crypto,
                erlang-eunit,
@@ -62,7 +66,6 @@
 Architecture: all
 Depends: couchdb-bin (>= ${source:Version}),
          adduser,
-         upstart,
          ${misc:Depends},
 Replaces: couchdb-bin (<= 1.0.1-0ubuntu18)
 Description: RESTful document oriented database - system-wide instance
