=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,14 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with autoreconf,systemd
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f $(CURDIR)/debian/couchdb.init
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-init
+	dh_auto_configure
 	sed -i s/%package_author_name%/`lsb_release -si`/ etc/couchdb/default.ini.tpl
 	sed -i s/%version%/`lsb_release -sr`/ etc/couchdb/default.ini.tpl
 
@@ -16,6 +20,7 @@
 	chmod 0750 debian/tmp/var/log/couchdb
 	rm -f debian/tmp/usr/lib/couchdb/erlang/lib/couch-*/priv/lib/couch_erl_driver.la
 	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp -name '*.la'`
+	cp $(CURDIR)/etc/init/couchdb $(CURDIR)/debian/couchdb.init
 
 override_dh_gencontrol:
 	erlang-depends
